Package org.drinkless.tdlib

# Class TdApi.RichTextAnchorLink

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.RichText
org.drinkless.tdlib.TdApi.RichTextAnchorLink

Enclosing class:
  TdApi

public static class TdApi.RichTextAnchorLink extends TdApi.RichText
A link to an anchor on the same page.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.RichText

  `TdApi.RichText.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `anchorName`
  The anchor name.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.RichText`
  `text`
  The link text.
  `String`
  `url`
  An HTTP URL, opening the anchor.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RichTextAnchorLink()`
  A link to an anchor on the same page.
  `RichTextAnchorLink(TdApi.RichText text, String anchorName, String url)`
  A link to an anchor on the same page.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### text

    public TdApi.RichText text
    The link text.

  - ### anchorName

    public String anchorName
    The anchor name. If the name is empty, the link must bring back to top.

  - ### url

    public String url
    An HTTP URL, opening the anchor.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RichTextAnchorLink

    public RichTextAnchorLink()
    A link to an anchor on the same page.

  - ### RichTextAnchorLink

    public RichTextAnchorLink(TdApi.RichText text, String anchorName, String url)
    A link to an anchor on the same page.
    Parameters:
      `text` - The link text.
      `anchorName` - The anchor name. If the name is empty, the link must bring back to top.
      `url` - An HTTP URL, opening the anchor.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.RichText`
    Returns:
      this.CONSTRUCTOR